

# GetAgentTaskResponseUrl
<a name="API_GetAgentTaskResponseUrl"></a>

**Note**  
 For use by AWS Ground Station Agent and shouldn't be called directly.

Gets a presigned URL for uploading agent task response logs.

## Request Syntax
<a name="API_GetAgentTaskResponseUrl_RequestSyntax"></a>

```
GET /agentResponseUrl/agentId/taskId HTTP/1.1
```

## URI Request Parameters
<a name="API_GetAgentTaskResponseUrl_RequestParameters"></a>

The request uses the following URI parameters.

 ** [agentId](#API_GetAgentTaskResponseUrl_RequestSyntax) **   <a name="groundstation-GetAgentTaskResponseUrl-request-uri-agentId"></a>
UUID of agent requesting the response URL.  
Length Constraints: Fixed length of 36.  
Pattern: `[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

 ** [taskId](#API_GetAgentTaskResponseUrl_RequestSyntax) **   <a name="groundstation-GetAgentTaskResponseUrl-request-uri-taskId"></a>
GUID of the agent task for which the response URL is being requested.  
Length Constraints: Fixed length of 36.  
Pattern: `[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

## Request Body
<a name="API_GetAgentTaskResponseUrl_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetAgentTaskResponseUrl_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "agentId": "string",
   "presignedLogUrl": "string",
   "taskId": "string"
}
```

## Response Elements
<a name="API_GetAgentTaskResponseUrl_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [agentId](#API_GetAgentTaskResponseUrl_ResponseSyntax) **   <a name="groundstation-GetAgentTaskResponseUrl-response-agentId"></a>
UUID of the agent.  
Type: String  
Length Constraints: Fixed length of 36.  
Pattern: `[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}` 

 ** [presignedLogUrl](#API_GetAgentTaskResponseUrl_ResponseSyntax) **   <a name="groundstation-GetAgentTaskResponseUrl-response-presignedLogUrl"></a>
Presigned URL for uploading agent task response logs.  
Type: String

 ** [taskId](#API_GetAgentTaskResponseUrl_ResponseSyntax) **   <a name="groundstation-GetAgentTaskResponseUrl-response-taskId"></a>
GUID of the agent task.  
Type: String  
Length Constraints: Fixed length of 36.  
Pattern: `[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}` 

## Errors
<a name="API_GetAgentTaskResponseUrl_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** DependencyException **   
Dependency encountered an error.    
 ** parameterName **   
Name of the parameter that caused the exception.
HTTP Status Code: 531

 ** InvalidParameterException **   
One or more parameters are not valid.    
 ** parameterName **   
Name of the invalid parameter.
HTTP Status Code: 431

 ** ResourceNotFoundException **   
Resource was not found.  
HTTP Status Code: 434

## See Also
<a name="API_GetAgentTaskResponseUrl_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/groundstation-2019-05-23/GetAgentTaskResponseUrl) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/groundstation-2019-05-23/GetAgentTaskResponseUrl) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/groundstation-2019-05-23/GetAgentTaskResponseUrl) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/groundstation-2019-05-23/GetAgentTaskResponseUrl) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/groundstation-2019-05-23/GetAgentTaskResponseUrl) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/groundstation-2019-05-23/GetAgentTaskResponseUrl) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/groundstation-2019-05-23/GetAgentTaskResponseUrl) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/groundstation-2019-05-23/GetAgentTaskResponseUrl) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/groundstation-2019-05-23/GetAgentTaskResponseUrl) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/groundstation-2019-05-23/GetAgentTaskResponseUrl) 